{
  "dashboard": {
    "result": {
      "certification_details": null,
      "certified_by": null,
      "changed_by": {
        "first_name": "Superset",
        "id": 1,
        "last_name": "Admin"
      },
      "changed_by_name": "Superset Admin",
      "changed_on": "2026-02-10T13:39:35.945662",
      "changed_on_delta_humanized": "16 days ago",
      "charts": [
        "TA-0001-001 test_chart"
      ],
      "created_by": {
        "first_name": "Superset",
        "id": 1,
        "last_name": "Admin"
      },
      "created_on_delta_humanized": "16 days ago",
      "css": null,
      "dashboard_title": "TA-0001 Test dashboard",
      "id": 13,
      "is_managed_externally": false,
      "json_metadata": "{\"color_scheme_domain\": [], \"shared_label_colors\": [], \"map_label_colors\": {}, \"label_colors\": {}}",
      "owners": [
        {
          "first_name": "Superset",
          "id": 1,
          "last_name": "Admin"
        }
      ],
      "position_json": null,
      "published": true,
      "roles": [],
      "slug": null,
      "tags": [],
      "theme": null,
      "thumbnail_url": "/api/v1/dashboard/13/thumbnail/3cfc57e6aea7188b139f94fb437a1426/",
      "url": "/superset/dashboard/13/",
      "uuid": "124b28d4-d54a-4ade-ade7-2d0473b90686"
    }
  },
  "dataset": {
    "id": 26,
    "result": {
      "always_filter_main_dttm": false,
      "cache_timeout": null,
      "catalog": "examples",
      "changed_by": {
        "first_name": "Superset",
        "last_name": "Admin"
      },
      "changed_on": "2026-02-10T13:38:26.175551",
      "changed_on_humanized": "16 days ago",
      "column_formats": {},
      "columns": [
        {
          "advanced_data_type": null,
          "changed_on": "2026-02-10T13:38:26.158196",
          "column_name": "color",
          "created_on": "2026-02-10T13:38:26.158189",
          "description": null,
          "expression": null,
          "extra": null,
          "filterable": true,
          "groupby": true,
          "id": 772,
          "is_active": true,
          "is_dttm": false,
          "python_date_format": null,
          "type": "STRING",
          "type_generic": 1,
          "uuid": "4fa810ee-99cc-4d1f-8c0d-0f289c3b01f4",
          "verbose_name": null
        },
        {
          "advanced_data_type": null,
          "changed_on": "2026-02-10T13:38:26.158249",
          "column_name": "deleted",
          "created_on": "2026-02-10T13:38:26.158245",
          "description": null,
          "expression": null,
          "extra": null,
          "filterable": true,
          "groupby": true,
          "id": 773,
          "is_active": true,
          "is_dttm": false,
          "python_date_format": null,
          "type": "BOOLEAN",
          "type_generic": 3,
          "uuid": "ebc07e82-7250-4eef-8d13-ea61561fa52c",
          "verbose_name": null
        },
        {
          "advanced_data_type": null,
          "changed_on": "2026-02-10T13:38:26.158289",
          "column_name": "has_2fa",
          "created_on": "2026-02-10T13:38:26.158285",
          "description": null,
          "expression": null,
          "extra": null,
          "filterable": true,
          "groupby": true,
          "id": 774,
          "is_active": true,
          "is_dttm": false,
          "python_date_format": null,
          "type": "BOOLEAN",
          "type_generic": 3,
          "uuid": "08e72f4d-3ced-4d9a-9f7d-2f85291ce88b",
          "verbose_name": null
        },
        {
          "advanced_data_type": null,
          "changed_on": "2026-02-10T13:38:26.158328",
          "column_name": "id",
          "created_on": "2026-02-10T13:38:26.158324",
          "description": null,
          "expression": null,
          "extra": null,
          "filterable": true,
          "groupby": true,
          "id": 775,
          "is_active": true,
          "is_dttm": false,
          "python_date_format": null,
          "type": "STRING",
          "type_generic": 1,
          "uuid": "fd11955c-0130-4ea1-b3c0-d8b159971789",
          "verbose_name": null
        },
        {
          "advanced_data_type": null,
          "changed_on": "2026-02-10T13:38:26.158366",
          "column_name": "is_admin",
          "created_on": "2026-02-10T13:38:26.158362",
          "description": null,
          "expression": null,
          "extra": null,
          "filterable": true,
          "groupby": true,
          "id": 776,
          "is_active": true,
          "is_dttm": false,
          "python_date_format": null,
          "type": "BOOLEAN",
          "type_generic": 3,
          "uuid": "13a6c8e1-c9f8-4f08-aa62-05bca7be547b",
          "verbose_name": null
        },
        {
          "advanced_data_type": null,
          "changed_on": "2026-02-10T13:38:26.158404",
          "column_name": "is_app_user",
          "created_on": "2026-02-10T13:38:26.158400",
          "description": null,
          "expression": null,
          "extra": null,
          "filterable": true,
          "groupby": true,
          "id": 777,
          "is_active": true,
          "is_dttm": false,
          "python_date_format": null,
          "type": "BOOLEAN",
          "type_generic": 3,
          "uuid": "6321ba8a-28d7-4d68-a6b3-5cef6cd681a2",
          "verbose_name": null
        },
        {
          "advanced_data_type": null,
          "changed_on": "2026-02-10T13:38:26.158442",
          "column_name": "is_bot",
          "created_on": "2026-02-10T13:38:26.158438",
          "description": null,
          "expression": null,
          "extra": null,
          "filterable": true,
          "groupby": true,
          "id": 778,
          "is_active": true,
          "is_dttm": false,
          "python_date_format": null,
          "type": "BOOLEAN",
          "type_generic": 3,
          "uuid": "f3ded50e-b1a2-4a88-b805-781d5923e062",
          "verbose_name": null
        },
        {
          "advanced_data_type": null,
          "changed_on": "2026-02-10T13:38:26.158480",
          "column_name": "is_owner",
          "created_on": "2026-02-10T13:38:26.158477",
          "description": null,
          "expression": null,
          "extra": null,
          "filterable": true,
          "groupby": true,
          "id": 779,
          "is_active": true,
          "is_dttm": false,
          "python_date_format": null,
          "type": "BOOLEAN",
          "type_generic": 3,
          "uuid": "8a1408eb-050d-4455-878c-22342df5da3d",
          "verbose_name": null
        },
        {
          "advanced_data_type": null,
          "changed_on": "2026-02-10T13:38:26.158532",
          "column_name": "is_primary_owner",
          "created_on": "2026-02-10T13:38:26.158528",
          "description": null,
          "expression": null,
          "extra": null,
          "filterable": true,
          "groupby": true,
          "id": 780,
          "is_active": true,
          "is_dttm": false,
          "python_date_format": null,
          "type": "BOOLEAN",
          "type_generic": 3,
          "uuid": "054b8c16-82fd-480c-82e0-a0975229673a",
          "verbose_name": null
        },
        {
          "advanced_data_type": null,
          "changed_on": "2026-02-10T13:38:26.158583",
          "column_name": "is_restricted",
          "created_on": "2026-02-10T13:38:26.158579",
          "description": null,
          "expression": null,
          "extra": null,
          "filterable": true,
          "groupby": true,
          "id": 781,
          "is_active": true,
          "is_dttm": false,
          "python_date_format": null,
          "type": "BOOLEAN",
          "type_generic": 3,
          "uuid": "6932c25f-0273-4595-85c1-29422a801ded",
          "verbose_name": null
        },
        {
          "advanced_data_type": null,
          "changed_on": "2026-02-10T13:38:26.158621",
          "column_name": "is_ultra_restricted",
          "created_on": "2026-02-10T13:38:26.158618",
          "description": null,
          "expression": null,
          "extra": null,
          "filterable": true,
          "groupby": true,
          "id": 782,
          "is_active": true,
          "is_dttm": false,
          "python_date_format": null,
          "type": "BOOLEAN",
          "type_generic": 3,
          "uuid": "9b14e5f9-3ab4-498e-b1e3-bbf49e9d61fe",
          "verbose_name": null
        },
        {
          "advanced_data_type": null,
          "changed_on": "2026-02-10T13:38:26.158660",
          "column_name": "name",
          "created_on": "2026-02-10T13:38:26.158656",
          "description": null,
          "expression": null,
          "extra": null,
          "filterable": true,
          "groupby": true,
          "id": 783,
          "is_active": true,
          "is_dttm": false,
          "python_date_format": null,
          "type": "STRING",
          "type_generic": 1,
          "uuid": "ebee8249-0e10-4157-8a8e-96ae107887a3",
          "verbose_name": null
        },
        {
          "advanced_data_type": null,
          "changed_on": "2026-02-10T13:38:26.158697",
          "column_name": "real_name",
          "created_on": "2026-02-10T13:38:26.158694",
          "description": null,
          "expression": null,
          "extra": null,
          "filterable": true,
          "groupby": true,
          "id": 784,
          "is_active": true,
          "is_dttm": false,
          "python_date_format": null,
          "type": "STRING",
          "type_generic": 1,
          "uuid": "553517a0-fe05-4ff5-a4eb-e9d2165d6f64",
          "verbose_name": null
        },
        {
          "advanced_data_type": null,
          "changed_on": "2026-02-10T13:38:26.158735",
          "column_name": "team_id",
          "created_on": "2026-02-10T13:38:26.158731",
          "description": null,
          "expression": null,
          "extra": null,
          "filterable": true,
          "groupby": true,
          "id": 785,
          "is_active": true,
          "is_dttm": false,
          "python_date_format": null,
          "type": "STRING",
          "type_generic": 1,
          "uuid": "6c207fac-424d-465c-b80a-306b42b55ce8",
          "verbose_name": null
        },
        {
          "advanced_data_type": null,
          "changed_on": "2026-02-10T13:38:26.158773",
          "column_name": "tz",
          "created_on": "2026-02-10T13:38:26.158769",
          "description": null,
          "expression": null,
          "extra": null,
          "filterable": true,
          "groupby": true,
          "id": 786,
          "is_active": true,
          "is_dttm": false,
          "python_date_format": null,
          "type": "STRING",
          "type_generic": 1,
          "uuid": "6efcc042-0b78-4362-9373-2f684077d574",
          "verbose_name": null
        },
        {
          "advanced_data_type": null,
          "changed_on": "2026-02-10T13:38:26.158824",
          "column_name": "tz_label",
          "created_on": "2026-02-10T13:38:26.158820",
          "description": null,
          "expression": null,
          "extra": null,
          "filterable": true,
          "groupby": true,
          "id": 787,
          "is_active": true,
          "is_dttm": false,
          "python_date_format": null,
          "type": "STRING",
          "type_generic": 1,
          "uuid": "c6a6ac40-5c60-472d-a878-4b65b8460ccc",
          "verbose_name": null
        },
        {
          "advanced_data_type": null,
          "changed_on": "2026-02-10T13:38:26.158861",
          "column_name": "tz_offset",
          "created_on": "2026-02-10T13:38:26.158857",
          "description": null,
          "expression": null,
          "extra": null,
          "filterable": true,
          "groupby": true,
          "id": 788,
          "is_active": true,
          "is_dttm": false,
          "python_date_format": null,
          "type": "LONGINTEGER",
          "type_generic": 0,
          "uuid": "cf6da93a-bba9-47df-9154-6cfd0c9922fc",
          "verbose_name": null
        },
        {
          "advanced_data_type": null,
          "changed_on": "2026-02-10T13:38:26.158913",
          "column_name": "updated",
          "created_on": "2026-02-10T13:38:26.158909",
          "description": null,
          "expression": null,
          "extra": null,
          "filterable": true,
          "groupby": true,
          "id": 789,
          "is_active": true,
          "is_dttm": true,
          "python_date_format": null,
          "type": "DATETIME",
          "type_generic": 2,
          "uuid": "2aa0a72a-5602-4799-b5ab-f22000108d62",
          "verbose_name": null
        },
        {
          "advanced_data_type": null,
          "changed_on": "2026-02-10T13:38:26.158967",
          "column_name": "channel_name",
          "created_on": "2026-02-10T13:38:26.158963",
          "description": null,
          "expression": null,
          "extra": null,
          "filterable": true,
          "groupby": true,
          "id": 790,
          "is_active": true,
          "is_dttm": false,
          "python_date_format": null,
          "type": "STRING",
          "type_generic": 1,
          "uuid": "a84bd658-c83c-4e7f-9e1b-192595092d9b",
          "verbose_name": null
        }
      ],
      "created_by": {
        "first_name": "Superset",
        "last_name": "Admin"
      },
      "created_on": "2026-02-10T13:38:26.050436",
      "created_on_humanized": "16 days ago",
      "database": {
        "allow_multi_catalog": false,
        "backend": "postgresql",
        "database_name": "examples",
        "id": 1,
        "uuid": "a2dc77af-e654-49bb-b321-40f6b559a1ee"
      },
      "datasource_name": "test_join_select",
      "datasource_type": "table",
      "default_endpoint": null,
      "description": null,
      "extra": null,
      "fetch_values_predicate": null,
      "filter_select_enabled": true,
      "granularity_sqla": [
        [
          "updated",
          "updated"
        ]
      ],
      "id": 26,
      "is_managed_externally": false,
      "is_sqllab_view": false,
      "kind": "virtual",
      "main_dttm_col": "updated",
      "metrics": [
        {
          "changed_on": "2026-02-10T13:38:26.182269",
          "created_on": "2026-02-10T13:38:26.182264",
          "currency": null,
          "d3format": null,
          "description": null,
          "expression": "COUNT(*)",
          "extra": null,
          "id": 33,
          "metric_name": "count",
          "metric_type": "count",
          "uuid": "7510f8ca-05ee-4a37-bec1-4a5d7bf2ac50",
          "verbose_name": "COUNT(*)",
          "warning_text": null
        }
      ],
      "name": "public.test_join_select",
      "normalize_columns": false,
      "offset": 0,
      "order_by_choices": [
        [
          "[\"channel_name\", true]",
          "channel_name [asc]"
        ],
        [
          "[\"channel_name\", false]",
          "channel_name [desc]"
        ],
        [
          "[\"color\", true]",
          "color [asc]"
        ],
        [
          "[\"color\", false]",
          "color [desc]"
        ],
        [
          "[\"deleted\", true]",
          "deleted [asc]"
        ],
        [
          "[\"deleted\", false]",
          "deleted [desc]"
        ],
        [
          "[\"has_2fa\", true]",
          "has_2fa [asc]"
        ],
        [
          "[\"has_2fa\", false]",
          "has_2fa [desc]"
        ],
        [
          "[\"id\", true]",
          "id [asc]"
        ],
        [
          "[\"id\", false]",
          "id [desc]"
        ],
        [
          "[\"is_admin\", true]",
          "is_admin [asc]"
        ],
        [
          "[\"is_admin\", false]",
          "is_admin [desc]"
        ],
        [
          "[\"is_app_user\", true]",
          "is_app_user [asc]"
        ],
        [
          "[\"is_app_user\", false]",
          "is_app_user [desc]"
        ],
        [
          "[\"is_bot\", true]",
          "is_bot [asc]"
        ],
        [
          "[\"is_bot\", false]",
          "is_bot [desc]"
        ],
        [
          "[\"is_owner\", true]",
          "is_owner [asc]"
        ],
        [
          "[\"is_owner\", false]",
          "is_owner [desc]"
        ],
        [
          "[\"is_primary_owner\", true]",
          "is_primary_owner [asc]"
        ],
        [
          "[\"is_primary_owner\", false]",
          "is_primary_owner [desc]"
        ],
        [
          "[\"is_restricted\", true]",
          "is_restricted [asc]"
        ],
        [
          "[\"is_restricted\", false]",
          "is_restricted [desc]"
        ],
        [
          "[\"is_ultra_restricted\", true]",
          "is_ultra_restricted [asc]"
        ],
        [
          "[\"is_ultra_restricted\", false]",
          "is_ultra_restricted [desc]"
        ],
        [
          "[\"name\", true]",
          "name [asc]"
        ],
        [
          "[\"name\", false]",
          "name [desc]"
        ],
        [
          "[\"real_name\", true]",
          "real_name [asc]"
        ],
        [
          "[\"real_name\", false]",
          "real_name [desc]"
        ],
        [
          "[\"team_id\", true]",
          "team_id [asc]"
        ],
        [
          "[\"team_id\", false]",
          "team_id [desc]"
        ],
        [
          "[\"tz\", true]",
          "tz [asc]"
        ],
        [
          "[\"tz\", false]",
          "tz [desc]"
        ],
        [
          "[\"tz_label\", true]",
          "tz_label [asc]"
        ],
        [
          "[\"tz_label\", false]",
          "tz_label [desc]"
        ],
        [
          "[\"tz_offset\", true]",
          "tz_offset [asc]"
        ],
        [
          "[\"tz_offset\", false]",
          "tz_offset [desc]"
        ],
        [
          "[\"updated\", true]",
          "updated [asc]"
        ],
        [
          "[\"updated\", false]",
          "updated [desc]"
        ]
      ],
      "owners": [
        {
          "first_name": "Superset",
          "id": 1,
          "last_name": "Admin"
        }
      ],
      "schema": "public",
      "select_star": "SELECT\n  *\nFROM public.test_join_select\nLIMIT 100",
      "sql": "SELECT t_u.*,\nt_c.name as channel_name\nfrom public.users t_u \njoin public.users_channels t_c ON\nt_c.user_id = t_u.id",
      "table_name": "test_join_select",
      "template_params": null,
      "time_grain_sqla": [
        [
          "PT1S",
          "Second"
        ],
        [
          "PT5S",
          "5 second"
        ],
        [
          "PT30S",
          "30 second"
        ],
        [
          "PT1M",
          "Minute"
        ],
        [
          "PT5M",
          "5 minute"
        ],
        [
          "PT10M",
          "10 minute"
        ],
        [
          "PT15M",
          "15 minute"
        ],
        [
          "PT30M",
          "30 minute"
        ],
        [
          "PT1H",
          "Hour"
        ],
        [
          "P1D",
          "Day"
        ],
        [
          "P1W",
          "Week"
        ],
        [
          "P1M",
          "Month"
        ],
        [
          "P3M",
          "Quarter"
        ],
        [
          "P1Y",
          "Year"
        ]
      ],
      "uid": "26__table",
      "url": "/tablemodelview/edit/26",
      "uuid": "e6f56489-6040-4720-8393-ddfc5c4c5574",
      "verbose_map": {
        "__timestamp": "Time",
        "channel_name": "channel_name",
        "color": "color",
        "count": "COUNT(*)",
        "deleted": "deleted",
        "has_2fa": "has_2fa",
        "id": "id",
        "is_admin": "is_admin",
        "is_app_user": "is_app_user",
        "is_bot": "is_bot",
        "is_owner": "is_owner",
        "is_primary_owner": "is_primary_owner",
        "is_restricted": "is_restricted",
        "is_ultra_restricted": "is_ultra_restricted",
        "name": "name",
        "real_name": "real_name",
        "team_id": "team_id",
        "tz": "tz",
        "tz_label": "tz_label",
        "tz_offset": "tz_offset",
        "updated": "updated"
      }
    }
  }
}